ARM Technical Support Knowledge Articles

OLD COMPILATION TOOLS IN MDK-ARM VERSION 4.13A

Applies to: ARM Development Tools

Answer


Information in this knowledgebase article applies to:


SYMPTOM

During the update installation of MDK-ARM 4.13a, a message is displayed informing about already installed compilation tools with a newer version than those included in the MDK-ARM 4.13a package.

What should I do?

RESOLUTION

The MDK-ARM 4.13a installer falsely reports this version conflict. The RealView Compilation Tools version 4.1.0.561 is included, which is the latest version. We strongly recommend to overwrite the existing files.

If you skip overwriting the existing files by accident, the ARM Linker will report an error message when linking the code and no output file is generated. The error message could look like this:

SELECTION_SCRIPT(1696): error: L6907E: Expected an expression

In this case, please run the setup again and, if asked, answer with "Overwrite".

SEE ALSO

ATTACHED FILES

Request the files attached to this knowledgebase article.

Article last edited on: 2012-08-20 10:11:59

Rate this article

[Bad]
|
|
[Good]
Disagree? Move your mouse over the bar and click

Did you find this article helpful? Yes No

How can we improve this article?

Link to this article
Copyright © 2011 ARM Limited. All rights reserved. External (Open), Non-Confidential